Checkio API
get/{tenantId}/v1/locations/top-districts

Get top postcode districts

Requires Authentication
Locations

Returns the most frequently searched postcode districts

Path Parameters

NameTypeDescription
tenantId
required
string (uuid)Tenant UUID

Query Parameters

NameTypeDescription
dateFrom
required
string (date)Start date for the query range (ISO 8601 format, e.g., 2024-01-01 or 2024-01-01T00:00:00Z)
dateTo
required
string (date)End date for the query range (ISO 8601 format, e.g., 2024-01-31 or 2024-01-31T23:59:59Z)
limit
integerMaximum number of results to return (default 10, max 50)Default: 10

Responses

Top postcode districts

Response Bodyapplication/json
districts
array
PostcodeDistrictStats[]
PostcodeDistrictStats

Code Examples

curl -X GET 'https://api-next.checkio.co.uk/{tenantId}/v1/locations/top-districts?dateFrom={dateFrom}&dateTo={dateTo}' \
  -H 'Authorization: Bearer {token}'